Bug 236988 - games/gzdoom: update to 4.1.1
Summary: games/gzdoom: update to 4.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-03 13:10 UTC by Piotr Kubaj
Modified: 2019-05-10 13:10 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (kevans)


Attachments
patch (18.92 KB, patch)
2019-04-03 13:10 UTC, Piotr Kubaj
kevans: maintainer-approval+
Details | Diff
v2 (13.28 KB, patch)
2019-04-04 11:41 UTC, Piotr Kubaj
no flags Details | Diff
v3 (2.28 KB, patch)
2019-04-12 22:07 UTC, Piotr Kubaj
no flags Details | Diff
v4 (2.10 KB, patch)
2019-04-26 06:47 UTC, Piotr Kubaj
kevans: maintainer-approval+
Details | Diff
v5 (1.05 KB, patch)
2019-05-03 14:54 UTC, Piotr Kubaj
kevans: maintainer-approval+
Details | Diff
v6 (3.11 KB, patch)
2019-05-03 19:04 UTC, Piotr Kubaj
no flags Details | Diff
v7 (1.05 KB, patch)
2019-05-10 12:28 UTC, Piotr Kubaj
kevans: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-04-03 13:10:52 UTC
Created attachment 203345 [details]
patch

Merge commits from git:
https://github.com/coelckers/gzdoom/commit/8892cb619d31975394acf12b5ff52931082789e6
https://github.com/coelckers/gzdoom/commit/2765159fc61625079729c066f2a455dded2f1a67

Also add BigLong overloaded function versions that are used and cast arguments in BigLong executions to specifically call the necessary variants.

Tested on powerpc64 and amd64.
Comment 1 Kyle Evans freebsd_committer 2019-04-03 13:36:17 UTC
Comment on attachment 203345 [details]
patch

Patch seems to look good to me. Thanks!
Comment 2 Piotr Kubaj freebsd_committer 2019-04-04 11:41:43 UTC
Created attachment 203374 [details]
v2

Better fix, already upstreamed.
Comment 3 Kyle Evans freebsd_committer 2019-04-07 15:19:10 UTC
(In reply to Piotr Kubaj from comment #2)

Since 4.0.0 released today with your fix included, I'm inclined to say we should just go ahead and update to that. vulkan++
Comment 4 Piotr Kubaj freebsd_committer 2019-04-12 22:07:30 UTC
Created attachment 203623 [details]
v3

Patch to upgrade 4.0.0, a new fix is necessary - Vulkan is enabled by default only on amd64 and build without Vulkan fails.
Comment 5 Piotr Kubaj freebsd_committer 2019-04-26 06:47:21 UTC
Created attachment 204022 [details]
v4

Correct bad endif.
Comment 6 Kyle Evans freebsd_committer 2019-05-01 03:08:14 UTC
Comment on attachment 204022 [details]
v4

LGTM
Comment 7 Piotr Kubaj freebsd_committer 2019-05-03 14:54:26 UTC
Created attachment 204193 [details]
v5

You need to accept patches faster than upstream releases new versions :)
Comment 8 Piotr Kubaj freebsd_committer 2019-05-03 14:55:16 UTC
It looks like this version compiles without any patches.
Comment 9 Kyle Evans freebsd_committer 2019-05-03 14:55:37 UTC
Comment on attachment 204193 [details]
v5

Ahhhh!!!! quick, commit it before another oen comes out. =-p
Comment 10 Piotr Kubaj freebsd_committer 2019-05-03 19:04:34 UTC
Created attachment 204200 [details]
v6

Ok, one more time then :)

Testing on 11.2 showed that there's bad include of malloc.h and a missing include of cwctype (for iswalpha).

If you accept this patch, maybe you could just commit it? I'd have to ask my mentors so it will be easier if you just commit it.
Comment 11 Piotr Kubaj freebsd_committer 2019-05-05 00:35:14 UTC
Upstream PR at https://github.com/coelckers/gzdoom/pull/829.
Comment 12 Piotr Kubaj freebsd_committer 2019-05-10 12:28:59 UTC
Created attachment 204309 [details]
v7

Upstream has merged my patches and released a new version.
Comment 13 commit-hook freebsd_committer 2019-05-10 13:04:00 UTC
A commit references this bug:

Author: pkubaj
Date: Fri May 10 13:03:28 UTC 2019
New revision: 501173
URL: https://svnweb.freebsd.org/changeset/ports/501173

Log:
  games/gzdoom: update to 4.1.1

  Among many fixes, this brings compatibility with non-x86 platforms.

  PR:		236988
  Approved by:	kevans (maintainer), mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D20149

Changes:
  head/games/gzdoom/Makefile